---
updatedAt: 2026-01-28T20:52:08.000Z
agentTools:
  projectIndex: https://developer.vyasa.com/llms.txt
---

# Get search history for all domain objects

Find any objects across all domains (e.g. Answers, Concepts, Paragraphs, Projects, etc.) where the input query string exists as the name.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Layar API Documentation",
    "version": "1.927.8",
    "contact": {
      "name": "Certara AI Support",
      "email": "AI-Support@Certara.com",
      "url": "https://vyasa.readme.io/"
    }
  },
  "servers": [
    {
      "url": "BASE_PATH"
    }
  ],
  "paths": {
    "/layar/autocomplete": {
      "get": {
        "parameters": [
          {
            "in": "query",
            "name": "q",
            "required": true,
            "schema": {
              "type": "string",
              "description": "The query string to search for."
            }
          },
          {
            "in": "query",
            "name": "indexType",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Use multiple indexType query parameters. If none are passed, defaults to TextDocument, Project, DeepLearningModel, Concept, LiveSource, SavedList, ConceptType"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AutocompleteResult"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          }
        },
        "summary": "Get search history for all domain objects",
        "description": "Find any objects across all domains (e.g. Answers, Concepts, Paragraphs, Projects, etc.) where the input query string exists as the name.",
        "tags": [
          "autocomplete"
        ]
      }
    }
  },
  "tags": [
    {
      "description": "Autocomplete",
      "name": "autocomplete"
    }
  ],
  "components": {
    "schemas": {
      "AutocompleteResult": {
        "properties": {
          "total": {
            "type": "integer"
          },
          "values": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AutocompleteItem"
            }
          }
        }
      },
      "AutocompleteItem": {
        "properties": {
          "name": {
            "type": "string"
          },
          "type": {
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "oAuth2ClientCredentials": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "CONNECT_API_URL/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "oAuth2ClientCredentials": []
    }
  ]
}
```